// Learn TypeScript:
//  - https://docs.cocos.com/creator/manual/en/scripting/typescript.html
// Learn Attribute:
//  - https://docs.cocos.com/creator/manual/en/scripting/reference/attributes.html
// Learn life-cycle callbacks:
//  - https://docs.cocos.com/creator/manual/en/scripting/life-cycle-callbacks.html

const {ccclass, property} = cc._decorator;

@ccclass
export default class CrashTest extends cc.Component {
    @property(cc.Node)
    prefab:cc.Node = null;

    start() {
        let i = 0;
        let f = () => {

            i++;

            if (i % 2 == 0) {
                this.node.destroyAllChildren();
            } else {
                for (let j = 1; j <= 500; j++) {
                    let n = cc.instantiate(this.prefab);
                    this.node.addChild(n);
                }
            }
        };
        this.schedule(f, 2, cc.macro.REPEAT_FOREVER, 0.01)        
    }
}